#include "libc/stdio.h"
#include "utils/pic.h"
#include "boot/multiboot.h"
#include "utils/mem.h"

char show_tics=0;

void utask(){
  while(1);
}

void bringelle(){
  clear();
  printc("Booting Bringelle...\n",GREEN);

  // Kernel boot sequence
  pic_enable_interrupt();
  print("Interrupts enabled!\n");


  // Utask
  memcpy((void*)utask,(void*)0x300000, 100); // 100 bytes seems reasonable to load utask

  print("Kernel started ");
  show_tics=1;
  while(1);
}

void clock(){
  static int tic=0;
  static int sec=0;
  tic++;
  if(tic>=20){
    tic=0;
    sec++;
    if(show_tics)
      putchar('.');
  }
}


